﻿using System;
using System.Collections.Generic;

using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Input;
using Input = Microsoft.Xna.Framework.Input;

namespace LD22 {

   static class InputHandler {

      public static KeyboardState Keyboard;
      public static KeyboardState KeyboardLast;

      public static MouseState Mouse;
      public static MouseState MouseLast;

      public static GamePadState GamePad1;
      public static GamePadState GamePad1Last;

      public static void Update() {
         KeyboardLast = Keyboard;
         MouseLast = Mouse;
         GamePad1Last = GamePad1;

         Keyboard = Input.Keyboard.GetState();
         Mouse = Input.Mouse.GetState();
         GamePad1 = Input.GamePad.GetState(PlayerIndex.One);

      }

      public static bool KeyPressed(Keys key) {
         return Keyboard.IsKeyDown(key) && !KeyboardLast.IsKeyDown(key);
      }
      public static bool KeyReleased(Keys key) {
         return !Keyboard.IsKeyDown(key) && KeyboardLast.IsKeyDown(key);
      }

      public static bool ButtonPressed(Buttons button) {
         return GamePad1.IsButtonDown(button) && !GamePad1Last.IsButtonDown(button);
      }
      public static bool ButtonReleased(Buttons button) {
         return !GamePad1.IsButtonDown(button) && GamePad1Last.IsButtonDown(button);
      }

   }

}
