﻿using System;
using System.Collections.Generic;

using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Graphics;

namespace LD22 {

   class ObjectTemplate {

      Dictionary<string, Animation> dict = new Dictionary<string, Animation>();
      public string DefaultAnimation = "idle";

      public Rectangle CoollisionRect = new Rectangle(-13, -32, 26, 36);
      public Vector2 Origin = new Vector2(0.5f, 0.9f); //CONST.V2_HALF;

      public float Scale = 2f;
      public float Weight = 1f;
      public float JumpStrength = 16f;
      public float Acceleration = 64f;
      public float MaxSpeed = 5f;
      public bool FlatSurface = false;

      public SoundEffect WalkingSound;
      public SoundEffect JumpSound;
      public SoundEffect LandSound;
      public SoundEffect AttackSound;
      public SoundEffect ChargeSound;

      public bool Companion;
      public Action<Level, ObjectInstance> CompanionActivation;
      public Action<Level, ObjectInstance> DefaultAI;

      public void AddAnimation(Animation anim) {
         dict[anim.Name] = anim;
      }

      public Animation GetAnimation(string name) {
         Animation res = null;
         dict.TryGetValue(name, out res);
         return res;
      }

   }

}
